4Z API

Custom sounds

Endpoint: POST https://4zapi.com/kling/v1/general/custom-voices

Parameters

  • Content-Type (header, string): Request body Content-Type, usually application/json
  • Authorization (header, string): Bearer API Key

Request body (application/json)

  • voice_name (string, required): Voice name
  • callback_url (string): Callback URL invoked on task completion
  • external_task_id (string): Custom external task ID for business-side correlation
  • video_id (string): historical work ID, provide audio via historical works only videos meeting these conditions can customize a voice: videos from V2.6 with sound=on videos from the digital-human API videos from the lip-sync API audio must have clean speech without noise, exactly one clean voice, duration between 5s and 30s
  • voice_url (string): voice sample file URL supports .mp3/.wav/.mp4/.mov A/V files audio must have clean speech without noise, exactly one clean voice, duration between 5s and 30s